Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageFourierCenter Class Reference

`#include <vtkImageFourierCenter.h>`

Inheritance diagram for vtkImageFourierCenter:

[legend]
Collaboration diagram for vtkImageFourierCenter:

[legend]
List of all members.

## Detailed Description

Shifts constant frequency to center for.

Date:
  2002/01/22 15:32:33

Revision:
  1.24

display.

Is used for dispaying images in frequency space. FFT converts spatial images into frequency space, but puts the zero frequency at the origin. This filter shifts the zero frequency to the center of the image. Input and output are assumed to be floats.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (88%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageFourierCenter.cxx)`
  - .`h` (`/Imaging/vtkImageFourierCenter.h)`

Tests:
  vtkImageFourierCenter (Tests)

Definition at line 49 of file vtkImageFourierCenter.h.

## Public Types
typedef vtkImageDecomposeFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | IterativeExecuteData (vtkImageData *in, vtkImageData *out)
## Static Public Methods
vtkImageFourierCenter * | New ()
int | IsTypeOf (const char *type)
vtkImageFourierCenter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageFourierCenter ()
| ~vtkImageFourierCenter ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int threadId)

## Member Typedef Documentation

typedef vtkImageDecomposeFilter vtkImageFourierCenter::Superclass

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Definition at line 53 of file vtkImageFourierCenter.h.

## Constructor & Destructor Documentation

vtkImageFourierCenter::vtkImageFourierCenter | ( |  | ) | `[protected]`

vtkImageFourierCenter::~vtkImageFourierCenter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkImageFourierCenter.h.

## Member Function Documentation

vtkImageFourierCenter* vtkImageFourierCenter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageFourierCenter::GetClassName | ( |  | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

int vtkImageFourierCenter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

virtual int vtkImageFourierCenter::IsA | ( | const char * | type | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

vtkImageFourierCenter* vtkImageFourierCenter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

virtual void vtkImageFourierCenter::IterativeExecuteData | ( | vtkImageData * | in,
|  | vtkImageData * | out
| ) | `[inline, virtual]`

| This is an internal method that should not be called by the user. Implements vtkImageIterateFilter. Definition at line 57 of file vtkImageFourierCenter.h. References vtkImageToImageFilter::MultiThread().

void vtkImageFourierCenter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageFourierCenter::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | threadId
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageFourierCenter.h